/payments/requestsCriar
Cria o recurso de solicitação de pagamento
Request Body
requiredRequest with information to create a payment request
Valor solicitado
Descrição do pagamento
Redirect urls after the payment was completed or ended in error status
Identificador do recebedor de pagamento
Identificador do cliente associado ao pagamento
Seu identificador de pagamento
Default: null
Schedule attribute to generate a single payment on a specific future date.
Schedule attribute to generate daily payments starting from `startDate`.
Schedule attribute to generate weekly payments on a specific day of the week.
Schedule attribute to generate monthly payments on a specific day of the month.
Schedule attribute to generate payments on an explicit list of dates.
Indica se este pedido de pagamento deve ser criado no modo sandbox. Padrão: falso.
Default: false
Example
{
"amount": 100.5,
"description": "Transferência",
"isSandbox": false
}Responses
Response with information related to a payment request
Identificador principal
Valor solicitado. Para pix automático, não será devolvido.
Taxas cobradas pela solicitação de pagamento. Isso inclui tanto as taxas da Pluggy quanto quaisquer taxas específicas do cliente. As taxas são calculadas com base no método de pagamento (PIX ou Boleto) e na configuração de preços do cliente. Para contas de sandbox, as taxas são definidas como 0.
Descrição do pagamento
Lifecycle of a payment request. - `CREATED`: the request was created and is waiting for a payment intent. - `IN_PROGRESS`: a payment intent is being processed by the institution. - `WAITING_PAYER_AUTHORIZATION`: the payer must authorize the payment at the institution. - `AUTHORIZED`: only for Automatic PIX. The recurring consent was authorized; individual payments will be executed under it. - `SCHEDULED`: the payment is scheduled for a future date. - `COMPLETED`: the payment was confirmed by the institution. - `ERROR`: the payment failed (see `errorDetail`). - `REFUND_IN_PROGRESS`: a refund was requested and is being processed. - `REFUNDED`: the refund was completed. - `REFUND_ERROR`: the refund failed. - `EXPIRED`: the request expired without being paid. - `CANCELED`: the request was canceled.
Identificador de pagamento do cliente
Data em que a solicitação de pagamento foi criada
Data em que o pedido de pagamento foi atualizado
Redirect urls after the payment was completed or ended in error status
Destinatário do pagamento. A forma depende do `tipo` do destinatário.
Recipient embedded inside a payment request. Polymorphic depending on the kind of payment. - `BANK_ACCOUNT`: a registered bank-account recipient (see `PaymentRecipient`). - `PIX_QR_CODE`: recipient derived from a PIX QR code attached to the request. - `BOLETO`: recipient derived from a boleto attached to the request.
Cliente associado à solicitação de pagamento
Response with information related to a payment customer
Conta inteligente que recebe os fundos, quando aplicável
Pluggy Smart Account (escrow account) attached to a payment request. Receives funds and lets the client orchestrate splits and withdrawals.
URL para iniciar o fluxo de criação de intenção de pagamento para esta solicitação de pagamento
Código QR Pix gerado pelo recebedor do pagamento
Boleto data
Automatic PIX data
Valor fixo da cobrança; se preenchido, representa consentimento para pagamentos de valores fixos, não sujeitos a alteração durante a validade do consentimento. Se enviado, minimumVariableAmount e maximumVariableAmount não podem ser fornecidos.
Valor mínimo permitido por cobrança; se preenchido, representa consentimento para pagamentos de valores variáveis. Se enviado, fixedAmount não pode ser fornecido.
Valor máximo permitido por cobrança; se preenchido, representa consentimento para pagamentos de valores variáveis. Se enviado, fixedAmount não pode ser fornecido.
Representa a data esperada para a primeira ocorrência de um pagamento associado à recorrência.
Data de expiração para a autorização automática de pix
Indica se o cliente receptor tem permissão para fazer tentativas de pagamento, de acordo com as regras estabelecidas no arranjo do Pix.
Definitions for the first payment. It is considered as the user's enrollment payment for the service.
Permitted frequency for recurring PIX payments under a consent.
“Configuration for automatic retries. If provided, the scheduled payments associated with this consent will only be retried on the days specified in the array after the original payment date. This does not apply to the first payment, only for scheduled payments.
Configuration for automatic scheduling of payments. When enabled, the system will schedule payments according to the consent interval and start date.
Schedule attribute to generate a single payment on a specific future date.
Schedule attribute to generate daily payments starting from `startDate`.
Schedule attribute to generate weekly payments on a specific day of the week.
Schedule attribute to generate monthly payments on a specific day of the month.
Schedule attribute to generate payments on an explicit list of dates.
Detalhes do erro quando a solicitação de pagamento falha
Error code
Error message returned by the institution
Indica se esta solicitação de pagamento está no modo sandbox. Padrão: falso.
Default: false
Example response
{
"id": "c2a6b7d9-3349-435d-8341-44021449ebbc",
"amount": 150.5,
"fees": 0.45,
"description": "Order #4821",
"status": "CREATED",
"clientPaymentId": "order-4821",
"createdAt": "2025-03-12T13:03:45.689Z",
"updatedAt": "2025-03-12T13:03:45.689Z",
"callbackUrls": {
"success": "https://merchant.example.com/orders/4821/success",
"error": "https://merchant.example.com/orders/4821/error"
},
"paymentUrl": "https://pay.pluggy.ai/c2a6b7d9-3349-435d-8341-44021449ebbc",
"recipient": {
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "12345678900",
"isDefault": true,
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
"customer": null,
"smartAccount": null,
"pixQrCode": null,
"boleto": null,
"automaticPix": null,
"schedule": null,
"errorDetail": null,
"isSandbox": false
}curl -X POST \
'https://api.pluggy.ai/payments/requests' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'{
"id": "c2a6b7d9-3349-435d-8341-44021449ebbc",
"amount": 150.5,
"fees": 0.45,
"description": "Order #4821",
"status": "CREATED",
"clientPaymentId": "order-4821",
"createdAt": "2025-03-12T13:03:45.689Z",
"updatedAt": "2025-03-12T13:03:45.689Z",
"callbackUrls": {
"success": "https://merchant.example.com/orders/4821/success",
"error": "https://merchant.example.com/orders/4821/error"
},
"paymentUrl": "https://pay.pluggy.ai/c2a6b7d9-3349-435d-8341-44021449ebbc",
"recipient": {
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "12345678900",
"isDefault": true,
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
"customer": null,
"smartAccount": null,
"pixQrCode": null,
"boleto": null,
"automaticPix": null,
"schedule": null,
"errorDetail": null,
"isSandbox": false
}